

#ifndef _JOYSTICK_H
#define _JOYSTICK_H



class Joystick {
public:
	Joystick() { dt = 0; }
	~Joystick() {}

	bool Left(bool readkey=false);
	bool Right(bool readkey=false);
	bool Up(bool readkey=false);
	bool Down(bool readkey=false);

	bool B0(bool readkey=false);
	bool LastButton(bool readkey=false);


	bool Update(float dt) { this->dt += dt; return false; }


	bool readkey_check();


private:
	float dt;
};



#endif // _JOYSTICK_H


